ON INIT {
 SETNAME [description_plate_leggings_unidentified]
 SET_PRICE 1300
 SET_MATERIAL METAL
 SET_ARMOR_MATERIAL METAL
 SET_STEP_MATERIAL Foot_metal_plate
 SET_GROUP ARMORY
 SETOBJECTTYPE LEGGINGS
 SETPLAYERTWEAK MESH "human_plate.teo"
 HALO -ocs 0.6 0.6 1 30
 SETEQUIP identify_value 1
 SET_DURABILITY 90
 SET enchanted 1
 SET_WEIGHT 1
 ACCEPT
}

ON INVENTORYUSE {
 IF (^PLAYER_ATTRIBUTE_STRENGTH < 14) {
  SPEAK -p [player_not_skilled_enough] NOP
  HEROSAY [required_st_10]
  //COLORISE SELF 1 0 0
  ACCEPT
 }
 IF (^PLAYER_SKILL_DEFENSE < 40) {
  SPEAK -p [player_not_skilled_enough] NOP
  HEROSAY [required_cc_60]
  //COLORISE SELF 1 0 0
  ACCEPT
 }
 //COLORISE SELF 0 0 0
 EQUIP PLAYER
 ACCEPT
}

ON EQUIPIN {
 PLAY "equip_armor_plate"
 ACCEPT
}

ON IDENTIFY {
 SETNAME [description_magic_plate_leggings]
 SET_PRICE 1600
 SETEQUIP armor_class 13
 SETEQUIP casting -25%
 SETEQUIP STEALTH -25%
 SETEQUIP defense 20%
 ACCEPT
}

//#armor
ON COMBINE {
 IF (enchanted == 1) { 
  SPEAK -p [player_no] NOP
  ACCEPT
 }
 IF (^$PARAM1 ISCLASS "GARLIC" ) {
  SET reagent "garlic"
  HALO -ocs 0 1 0 30
  GOTO REGENTMIXED
  ACCEPT
 }
 IF (^$PARAM1 ISCLASS "rock_amikar" ) {
  SET reagent "rock_amikar"
  HALO -ocs 1 1 1 30
  GOTO REGENTMIXED
  ACCEPT
 }
 ACCEPT
}

>>REGENTMIXED
 DESTROY ^$PARAM1
 //HALO -ocs 1 1 0 30
 SPEAK -p [Player_off_interesting] NOP
 ACCEPT


ON SPELLCAST {
 IF (^$PARAM1 != ENCHANT_WEAPON) ACCEPT
 IF (enchanted == 1) { 
  SPEAK -p [player_no] NOP
  ACCEPT
 }
 IF (reagent == 0) { 
  SPEAK -p [player_wrong] NOP
  ACCEPT
 }
 SET enchanted 1
 PLAY -o "Magic_Spell_Enchant_Weapon"
  IF (reagent == "garlic") {
  SETEQUIP defense 5
  SET tmp ~^PRICE~
  MUL tmp 1.2
  //HALO -ocs 0 1 1 30
  GOTO ENCHANTED
 }
  IF (reagent == "rock_amikar") {
  SET_DURABILITY 100
  SET_DURABILITY -c 100
  SET tmp ~^PRICE~
  MUL tmp 2
  //HALO -ocs 1 1 1 30
  GOTO ENCHANTED
 }
 ACCEPT
}

>>ENCHANTED
  SET_PRICE tmp
  UNSET tmp
  UNSET reagent
  //HALO -ocs 0.6 0.6 1 30
  ACCEPT


ON REPAIRED {
 IF (^$PARAM1 == "checkdur") {
  IF (^DURABILITY == ^MAXDURABILITY) {
   SPEAK -p [player_weapon_already_repaired] NOP
   ACCEPT
  }
  SENDEVENT REPAIR ^SENDER ""
  ACCEPT
 }
 SET tmp ~^MAXDURABILITY~
 REPAIR SELF ~^PLAYER_SKILL_OBJECT_KNOWLEDGE~
 if (^DURABILITY < tmp) {
  SPEAK -p [player_weapon_repaired_partially] NOP
  ACCEPT
 }
 SPEAK -p [player_weapon_repaired_in_full] NOP
 UNSET tmp
 ACCEPT
}

ON BREAK {
PLAY "Crushing"
DESTROY SELF
ACCEPT
}
//#
ON DURABILITY_ARMOR {
 SET_DURABILITY -c ~^$PARAM1~
 ACCEPT
}
